diff --git a/src/common/SurgeSynthesizer.cpp b/src/common/SurgeSynthesizer.cpp
index b89c78f8b..87b78093d 100644
--- a/src/common/SurgeSynthesizer.cpp
+++ b/src/common/SurgeSynthesizer.cpp
@@ -226,6 +226,20 @@ SurgeSynthesizer::SurgeSynthesizer(PluginLayer *parent, std::string suppliedData
     storage.mpePitchBendRange =
         (float)Surge::Storage::getUserDefaultValue(&storage, Surge::Storage::MPEPitchBendRange, 48);
     mpeGlobalPitchBendRange = 0;
+
+    int pid = 0;
+    for (auto p : storage.patch_list)
+    {
+        if (p.name == "Init Saw" && storage.patch_category[p.category].name == "Templates")
+        {
+            patchid_queue = pid;
+            break;
+        }
+        pid++;
+    }
+    if (patchid_queue >= 0)
+        processThreadunsafeOperations(true); // DANGER MODE IS ON
+    patchid_queue = -1;
 }
 
 SurgeSynthesizer::~SurgeSynthesizer()
@@ -3076,9 +3090,9 @@ DWORD WINAPI loadPatchInBackgroundThread(LPVOID lpParam)
     return 0;
 }
 
-void SurgeSynthesizer::processThreadunsafeOperations()
+void SurgeSynthesizer::processThreadunsafeOperations(bool dangerMode)
 {
-    if (!audio_processing_active)
+    if (!audio_processing_active || dangerMode)
     {
         // if the audio processing is inactive, patchloading should occur anyway
         if (patchid_queue >= 0)
diff --git a/src/common/SurgeSynthesizer.h b/src/common/SurgeSynthesizer.h
index b58d3c4c9..1ebaae33e 100644
--- a/src/common/SurgeSynthesizer.h
+++ b/src/common/SurgeSynthesizer.h
@@ -92,7 +92,14 @@ class alignas(16) SurgeSynthesizer
 
     void resetStateFromTimeData();
     void processControl();
-    void processThreadunsafeOperations();
+    /*
+     * processThreadunsafeOperations reloads a patch if the audio thread isn't running
+     * but if it is running lets the deferred queue handle it. But it has an option
+     * which is *extremely dangerous* to force you to load in the current thread immediately.
+     * If you use this option and dont' know what you are doing it will explode - basically
+     * we only use it in the startup constructor path.
+     */
+    void processThreadunsafeOperations(bool doItEvenIfAudioIsRunningDANGER = false);
     bool loadFx(bool initp, bool force_reload_all);
     bool loadOscalgos();
     bool load_fx_needed;
